### A free/open-source library for quantitative finance

Classes
ql/math/optimization/steepestdescent.hpp File Reference

Steepest descent optimization method. More...

`#include <ql/math/optimization/linesearchbasedmethod.hpp>`
Include dependency graph for steepestdescent.hpp:

## Classes

class | SteepestDescent
| Multi-dimensional steepest-descent class. More...

## Detailed Description

Steepest descent optimization method.